export declare const PROJECT_CONTENT_DIR = "/dummy/project/content";
/**
 * Dummy file system for use with `mock-fs`.
 *
 * Directory tree is modeled as an object tree, with leaf nodes as file content.
 */
export declare const DUMMY_FILE_SYSTEM: {
    /**
     * SFB project content directory.
     *
     * Contains `.abc` files that form the story, and public resources.
     */
    "/dummy/project/content": {
        'MANIFEST.json': string;
        'foo.abc': string;
        'more-content': {
            'bar.abc': string;
            'baz.abc': string;
        };
    };
};
/**
 * `vscode` is exposed as a JS module to be imported, but it only really exists
 * inside the VS environment. The `vscode` node module doesn't actually contain
 * an executable JS file.
 *
 * Hence, we create a mock of the module by manually creating an `index.js` file
 * inside `node_modules`.
 *
 * Any module that depends on `vscode` must be dynamically `require`d after this
 * function is run.
 *
 * Note that you can still import VS typings from `vscode.d.ts` before running
 * this function.
 */
export declare const mockVsCode: () => any;
/**
 * @see `mockVsCode`
 */
export declare const restoreVsCode: () => void;
export declare const assertCalledManyTimesWithArgs: (sinonStub: any, calls: any[][]) => void;
export declare const getArgsForEachCall: (sinonStub: any) => any;
